Bug 1409376 - rpmlint: E: python-bytecode-wrong-magic-value /usr/...pyc expected 3361 (3.6), found 3379 (unknown)
Summary: rpmlint: E: python-bytecode-wrong-magic-value /usr/...pyc expected 3361 (3.6)...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-01 12:41 UTC by Miro Hrončok
Modified: 2017-01-17 20:20 UTC (History)
17 users (show)

Fixed In Version: rpmlint-1.9-5.fc25 rpmlint-1.9-5.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 19:52:44 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2017-01-01 12:41:29 UTC
Description of problem:
When rpmlint is run on anything Python 3.6, it reports a lot of magic value errors.

Version-Release number of selected component (if applicable):
python3-3.6.0-1.fc26
rpmlint-1.9-3.fc25.noarch

How reproducible: easy


Steps to Reproduce:
1. Download some python 3.6 package, such as system-python-libs or python3-<anything> from Koji
2. Run rpmlint on it

Actual results:
python3-utils.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/python_utils/__pycache__/logger.cpython-36.opt-1.pyc expected 3361 (3.6), found 3379 (unknown)
python3-utils.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.6/site-packages/python_utils/__pycache__/logger.cpython-36.pyc expected 3361 (3.6), found 3379 (unknown)
... 

Expected results:
The magic value should be fine.

Additional info:
Please check if we are doing it right and if so, reassign to rpmlint.

Comment 1 Charalampos Stratakis 2017-01-02 10:39:05 UTC
This should be related to https://bugs.python.org/issue26647, will investigate

Comment 2 Charalampos Stratakis 2017-01-02 12:42:36 UTC
it has been fixed in rpmlint[0]. Closing the bug.

http://pkgs.fedoraproject.org/cgit/rpms/rpmlint.git/commit/?id=ecef64ec258b4d27eff905fd8666ca9a683855d4

Comment 3 Miro Hrončok 2017-01-02 14:36:31 UTC
Can I backport the fix to Fedora 25?

Comment 4 Athos Ribeiro 2017-01-12 02:10:34 UTC
Thanks for the fix :)

+1 on backporting it to f25.

Comment 5 Fedora Update System 2017-01-16 10:56:37 UTC
rpmlint-1.9-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-efd5e6323b

Comment 6 Fedora Update System 2017-01-16 11:11:52 UTC
rpmlint-1.9-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6c0f3adc8

Comment 7 Fedora Update System 2017-01-16 22:23:15 UTC
rpmlint-1.9-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6c0f3adc8

Comment 8 Fedora Update System 2017-01-16 22:23:49 UTC
rpmlint-1.9-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-efd5e6323b

Comment 9 Fedora Update System 2017-01-17 19:52:44 UTC
rpmlint-1.9-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-17 20:20:52 UTC
rpmlint-1.9-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.